#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "GameplayTagContainer.h"
#include "Anniversary2024EventComponent.generated.h"

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class UAnniversary2024EventComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGameplayTagContainer _endAnniversaryEventTags;

public:
	UAnniversary2024EventComponent();
};

FORCEINLINE uint32 GetTypeHash(const UAnniversary2024EventComponent) { return 0; }
